No oem-id generated in OEM install mode

Bug #251751 reported by Chih-Hsyuan Ho on 2008-07-25
8
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
High
Colin Watson
Hardy
High
Colin Watson

Bug Description

Binary package hint: oem-config

On standard 8.04.1 desktop installation:
1. Press F4 to select OEM Install mode
2. At the first page of installation, enter, for example, "customerxxxl" in the field that is to become oem-id
3. Complete the rest of installation by following the instructions on display.
4. System reboot into the new installation. Check under /var/log/installer/ and there is no oem-id to be found.

Colin Watson (cjwatson) wrote :

Confirmed on Intrepid. Eek!

Changed in oem-config:
importance: Undecided → High
status: New → Triaged
Colin Watson (cjwatson) wrote :

Oh dear. I guess this never worked. Sigh. We should try to fix this for 8.04.2 as well.

Changed in ubiquity:
assignee: nobody → kamion
status: Triaged → Fix Committed
Colin Watson (cjwatson) wrote :

For now, OEMs may apply the attached patch to /usr/share/ubiquity/install.py before starting the initial installation in order to fix this bug. My apologies for the inconvenience.

Changed in ubiquity:
importance: Undecided → High
status: New → Triaged

Hi Colin,

Thank you for spending time on this issue. By the way, we will not
release our system to this concerning customer until Sep. So, I think we
can wait for your official fix in 8.04.2.
--
Best Regards,

Chih Ho / FAE / Canonical Solutions Group / Canonical Inc.
http://www.canonical.com

-----Original Message-----
From: Colin Watson <email address hidden>
Reply-To: Bug 251751 <email address hidden>
To: <email address hidden>
Subject: [Bug 251751] Re: No oem-d being generated on oem install mode
Date: Sat, 26 Jul 2008 04:36:21 -0000

For now, OEMs may apply the attached patch to
/usr/share/ubiquity/install.py before starting the initial installation
in order to fix this bug. My apologies for the inconvenience.

** Attachment added: "oem-id.patch"
   http://launchpadlibrarian.net/16317636/oem-id.patch

** Changed in: ubiquity (Ubuntu Hardy)
   Importance: Undecided => High
       Status: New => Triaged

** Summary changed:

- No oem-d being generated on oem install mode
+ No oem-id generated in OEM install mode

Colin Watson (cjwatson) wrote :

Note that 8.04.2 is likely to be scheduled for January, although we may release a fix for this to hardy-proposed before then.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 1.9.7

---------------
ubiquity (1.9.7) intrepid; urgency=low

  [ Evan Dandrea ]
  * Properly fix intltool dependency. Remove old copies of intltool
    scripts.
  * Add an auto-login option to the "Who are you?" page.

  [ Michael Terry ]
  * Ensure that some widget is focused after changing page (LP: #241367).

  [ Colin Watson ]
  * Add a no-op compatibility shim for depmod. Some d-i code calls it after
    calling anna-install in order to make sure that new kernel modules are
    installed properly; this is unnecessary and slow in the live CD
    environment (LP: #251117).
  * Brown-paper-bag bug: open /target/var/log/installer/oem-id for writing
    (LP: #251751).
  * Update summary page to fetch the language name correctly from the new
    localechooser.
  * Set SCIM_USER and SCIM_HOME to force scim to use configuration and
    sockets from the live CD user rather than root (LP: #234208).
  * Use a single private debconf-communicate instance for five queries in
    base frontend initialisation rather than using the debconf_operation
    wrapper. This is less convenient, but significantly speeds up startup
    (in a kvm instance here, 19 seconds -> 4 seconds).
  * Remove hardcoded invisible_char properties in order to use GTK's
    defaults (LP: #225882).
  * GTK frontend:
    - Don't translate step_label when switching to the language page;
      on_language_treeview_selection_changed will take care of it if
      necessary, and the page-switch handler may not know the correct
      language (LP: #225876).
    - Bind the Delete key on the partition list to "Delete partition"
      (LP: #218936).
  * KDE frontend:
    - Make "Details" string on summary page translatable (LP: #190491).
  * Depend on rdate for clock-setup.
  * Automatic update of included source packages: apt-setup 1:0.37ubuntu3,
    clock-setup 0.96ubuntu1, localechooser 2.03ubuntu2, user-setup
    1.20ubuntu4.

 -- Colin Watson <email address hidden> Sun, 27 Jul 2008 00:13:38 +0100

Changed in ubiquity:
status: Fix Committed → Fix Released
Colin Watson (cjwatson) on 2008-09-09
Changed in ubiquity:
milestone: none → ubuntu-8.04.2
Colin Watson (cjwatson) on 2008-11-03
Changed in ubiquity:
assignee: nobody → kamion
status: Triaged → In Progress
Colin Watson (cjwatson) wrote :

ubiquity 1.8.13 uploaded to hardy-proposed with this change.

Martin Pitt (pitti) wrote :

Accepted ubiquity into hardy-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in ubiquity:
milestone: ubuntu-8.04.2 → none
status: In Progress → Fix Committed
Steve Langasek (vorlon) on 2008-12-19
Changed in ubiquity:
milestone: none → ubuntu-8.04.2
Steve Langasek (vorlon) wrote :

preliminary desktop images for 8.04.2 that include this version of ubiquity are available at <http://cdimage.ubuntu.com/hardy/daily-live/current/>. Can someone please confirm that this bug is fixed in those images, so that we can copy ubiquity 1.8.13 into hardy-updates for 8.04.2?

Steve Beattie (sbeattie) wrote :

I can verify that the oem config option of the desktop/live CD creates /var/log/installer/oem-id, as of the hardy 8.04.2 pre snapshot (build id 20090108.1).

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 1.8.13

---------------
ubiquity (1.8.13) hardy-proposed; urgency=low

  [ Colin Watson ]
  * Brown-paper-bag bug: open /target/var/log/installer/oem-id for writing
    (LP: #251751).
  * Automatic update of included source packages: base-installer
    1.86ubuntu2.3, console-setup 1.21ubuntu9, grub-installer 1.27ubuntu8.1,
    partman-base 114ubuntu6, partman-target 54ubuntu7, user-setup
    1.16ubuntu6.

  [ Evan Dandrea ]
  * Also set the EGID back to 0 when regaining privileges (LP: #288479).

 -- Colin Watson <email address hidden> Wed, 17 Dec 2008 11:54:00 +0000

Changed in ubiquity:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers